import React from 'react';
import * as THREE from 'three';
import { ReactThreeFiber } from '@react-three/fiber';
import { R3FlexProps } from './props';
export declare type BoxProps = {
    centerAnchor?: boolean;
    children: React.ReactNode | ((width: number, height: number, centerAnchor?: boolean) => React.ReactNode);
} & R3FlexProps & Omit<ReactThreeFiber.Object3DNode<THREE.Group, typeof THREE.Group>, 'children'>;
/**
 * Box container for 3D Objects.
 * For containing Boxes use `<Flex />`.
 */
export declare const Box: React.ForwardRefExoticComponent<Pick<BoxProps, "wrap" | "alignContent" | "alignItems" | "alignSelf" | "align" | "justifyContent" | "justify" | "flexDirection" | "flexDir" | "dir" | "flexWrap" | "flexBasis" | "basis" | "flexGrow" | "grow" | "flexShrink" | "shrink" | "height" | "width" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "padding" | "p" | "paddingTop" | "pt" | "paddingBottom" | "pb" | "paddingLeft" | "pl" | "paddingRight" | "pr" | "margin" | "m" | "marginTop" | "mt" | "marginLeft" | "ml" | "marginRight" | "mr" | "marginBottom" | "mb" | "children" | "centerAnchor" | "attach" | "args" | "key" | "onUpdate" | "position" | "up" | "scale" | "rotation" | "matrix" | "quaternion" | "layers" | "dispose" | "type" | "isGroup" | "id" | "uuid" | "name" | "parent" | "modelViewMatrix" | "normalMatrix" | "matrixWorld" | "matrixAutoUpdate" | "matrixWorldNeedsUpdate" | "visible" | "castShadow" | "receiveShadow" | "frustumCulled" | "renderOrder" | "animations" | "userData" | "customDepthMaterial" | "customDistanceMaterial" | "isObject3D" | "onBeforeRender" | "onAfterRender" | "applyMatrix4" | "applyQuaternion" | "setRotationFromAxisAngle" | "setRotationFromEuler" | "setRotationFromMatrix" | "setRotationFromQuaternion" | "rotateOnAxis" | "rotateOnWorldAxis" | "rotateX" | "rotateY" | "rotateZ" | "translateOnAxis" | "translateX" | "translateY" | "translateZ" | "localToWorld" | "worldToLocal" | "lookAt" | "add" | "remove" | "removeFromParent" | "clear" | "getObjectById" | "getObjectByName" | "getObjectByProperty" | "getWorldPosition" | "getWorldQuaternion" | "getWorldScale" | "getWorldDirection" | "raycast" | "traverse" | "traverseVisible" | "traverseAncestors" | "updateMatrix" | "updateMatrixWorld" | "updateWorldMatrix" | "toJSON" | "clone" | "copy" | "addEventListener" | "hasEventListener" | "removeEventListener" | "dispatchEvent" | keyof import("@react-three/fiber/dist/declarations/src/core/events").EventHandlers> & React.RefAttributes<THREE.Group>>;
