/// <reference types="yoga-layout" />
/// <reference types="react" />
import { YogaNode } from '@react-pdf/yoga';
import { Group } from 'three';
import { R3FlexProps } from './props';
export interface SharedFlexContext {
    scaleFactor: number;
    requestReflow(): void;
    registerBox(node: YogaNode, group: Group, flexProps: R3FlexProps, centerAnchor?: boolean): void;
    unregisterBox(node: YogaNode): void;
    notInitialized?: boolean;
}
export declare const flexContext: import("react").Context<SharedFlexContext>;
export interface SharedBoxContext {
    node: YogaNode | null;
    size: [number, number];
    centerAnchor?: boolean;
    notInitialized?: boolean;
}
export declare const boxContext: import("react").Context<SharedBoxContext>;
